openSUSE Security Update: Security update for zlib
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2022:1061-1
Rating:             important
References:         #1197459 
Cross-References:   CVE-2018-25032
CVSS scores:
                    CVE-2018-25032 (SUSE): 8.1 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for zlib fixes the following issues:

   - CVE-2018-25032: Fixed memory corruption on deflate (bsc#1197459).


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-1061=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-1061=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      libminizip1-1.2.11-150000.3.30.1
      libminizip1-debuginfo-1.2.11-150000.3.30.1
      libz1-1.2.11-150000.3.30.1
      libz1-debuginfo-1.2.11-150000.3.30.1
      minizip-devel-1.2.11-150000.3.30.1
      zlib-debugsource-1.2.11-150000.3.30.1
      zlib-devel-1.2.11-150000.3.30.1
      zlib-devel-static-1.2.11-150000.3.30.1

   - openSUSE Leap 15.4 (x86_64):

      libminizip1-32bit-1.2.11-150000.3.30.1
      libminizip1-32bit-debuginfo-1.2.11-150000.3.30.1
      libz1-32bit-1.2.11-150000.3.30.1
      libz1-32bit-debuginfo-1.2.11-150000.3.30.1
      zlib-devel-32bit-1.2.11-150000.3.30.1
      zlib-devel-static-32bit-1.2.11-150000.3.30.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libminizip1-1.2.11-150000.3.30.1
      libminizip1-debuginfo-1.2.11-150000.3.30.1
      libz1-1.2.11-150000.3.30.1
      libz1-debuginfo-1.2.11-150000.3.30.1
      minizip-devel-1.2.11-150000.3.30.1
      zlib-debugsource-1.2.11-150000.3.30.1
      zlib-devel-1.2.11-150000.3.30.1
      zlib-devel-static-1.2.11-150000.3.30.1

   - openSUSE Leap 15.3 (x86_64):

      libminizip1-32bit-1.2.11-150000.3.30.1
      libminizip1-32bit-debuginfo-1.2.11-150000.3.30.1
      libz1-32bit-1.2.11-150000.3.30.1
      libz1-32bit-debuginfo-1.2.11-150000.3.30.1
      zlib-devel-32bit-1.2.11-150000.3.30.1
      zlib-devel-static-32bit-1.2.11-150000.3.30.1


References:

   https://www.suse.com/security/cve/CVE-2018-25032.html
   https://bugzilla.suse.com/1197459